unit dsptest1;
//
// purpose: Compile test DC-DSP for KOL Release 1.01
//  author:  2004, Thaddy de Koning
// Remarks:
//

interface
uses
  Windows, Messages, Kol,
  koldspamplify,
  koldspbandpass,
  koldspbitrateconverter,
  koldspchannelorder,
  koldspcompressor,
  koldspdownmix,
  koldspdynamicamplify,
  koldsphighpass,
  koldspechodelay,
  koldspequalizer,
  koldspflanger,
  koldsplowpass,
  koldspnotch,
  koldspparametriceq,
  koldspphaseinvert,
  koldspphaser,
  koldsppitchscale,
  koldsppitchshift,
  koldspreverse,
  koldspsound3d,
  koldsptempo,
  koldsptrebleenhancer,
  koldsptruebass,
  kolvisspectrum,
  kolviswaveform;

type

PForm1=^TForm1;
TForm1=object(Tobj)
  Form:pControl;
  Amplify:PDCAmplify;
  BandPass:PDCBandPass;
  BitrateConverter:PDCBitRateConverter;
  ChannelOrder:PDCChannelOrder;
  Compressor:PDCCompressor;
  Downmix:PDCDownmix;
  DynAmp:PDCDynamicAmplify;
  HighPass:PDCHighpass;
  Echo:PDCEchoDelay;
  EQ:PDCEqualizer;
  Flanger:PDCFlanger;
  LowPass:PDCLowPass;
  Notch:PDCNotch;
  Para:PDCParametricEQ;
  Invert:PDCPhaseInvert;
  phaser:PDCPHaser;
  scale:PDCPitchScale;
  shift:PDCPitchShift;
  reverse:PDcReverse;
  sound3D:PDCSOund3D;
  Tempo:PDCTempo;
  Treble:PDCTrebleEnhancer;
  bass:PDcTrueBass;
  spectrum:PDcSpectrum;
  wave:PDcWaveform;
public
end;


procedure NewForm1( var Result: PForm1; AParent: PControl );

var
  Form1:pForm1;

implementation

procedure NewForm1( var Result: PForm1; AParent: PControl );
begin
  New(Result,Create);
  with Result^ do
  begin
    Form:= NewForm(AParent,'KOLForm').SetSize(600,400).centeronparent.Tabulate;
    Applet:=Form;
    Form.Add2AutoFree(Result);
    Amplify:=NewDCAmplify(form);
    BandPass:=NewDcBandpass(Form);
    BitRateconverter:=NewDcBitrateConverter(Form);
    ChannelOrder:=NewDCChannelOrder(Form);
    Compressor:=NewDCCompressor(Form);
    Downmix:=NewDcDownmix(form);
    DynAmp:=NewDcDynamicAmplify(form);
    Highpass:=NewDCHighpass(form);
    Echo:=NewDcEchoDelay(form);
    EQ:=NewDcEqualizer(form);
    Flanger:=NewDcFlanger(form);
    Lowpass:=NewDcLowpass(form);
    Notch:=NewDcNotch(form);
    Para:=NewDcParametricEQ(form);
    Invert:=NewDcPhaseInvert(Form);
    phaser:=NewDcPhaser(form);
    scale:=Newdcpitchscale(form);
    shift:=NewdcpitchShift(form);
    Reverse:=NewDcReverse(form);
    Sound3D:=NewDcSound3D(form);
    Tempo:=NewDcTempo(Form);
    Treble:=NewDcTrebleEnhancer(Form);
    Bass:=newdctruebass(form);
    spectrum:=NewDcSpectrum(form);
    wave:=Newdcwaveform(form);
  end;
end;



end.